module.exports = `
  /*! tailwindcss v4.0.9 | MIT License | https://tailwindcss.com */
  @layer theme, base, components, utilities;
  @layer theme {
    :root, :host {
      --font-sans: ui-sans-serif, system-ui, sans-serif, "Apple Color Emoji",
        "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
      --font-mono: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas,
        "Liberation Mono", "Courier New", monospace;
      --default-font-family: var(--font-sans);
      --default-font-feature-settings: var(--font-sans--font-feature-settings);
      --default-font-variation-settings: var(
        --font-sans--font-variation-settings
      );
      --default-mono-font-family: var(--font-mono);
      --default-mono-font-feature-settings: var(
        --font-mono--font-feature-settings
      );
      --default-mono-font-variation-settings: var(
        --font-mono--font-variation-settings
      );
    }
  }
  @layer base {
    *,
    ::after,
    ::before,
    ::backdrop,
    ::file-selector-button {
      box-sizing: border-box;
      margin: 0;
      padding: 0;
      border: 0 solid;
    }
    html,
    :host {
      line-height: 1.5;
      -webkit-text-size-adjust: 100%;
      tab-size: 4;
      font-family: var(
        --default-font-family,
        ui-sans-serif,
        system-ui,
        sans-serif,
        "Apple Color Emoji",
        "Segoe UI Emoji",
        "Segoe UI Symbol",
        "Noto Color Emoji"
      );
      font-feature-settings: var(--default-font-feature-settings, normal);
      font-variation-settings: var(
        --default-font-variation-settings,
        normal
      );
      -webkit-tap-highlight-color: transparent;
    }
    body {
      line-height: inherit;
    }
    hr {
      height: 0;
      color: inherit;
      border-top-width: 1px;
    }
    abbr:where([title]) {
      -webkit-text-decoration: underline dotted;
      text-decoration: underline dotted;
    }
    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
      font-size: inherit;
      font-weight: inherit;
    }
    a {
      color: inherit;
      -webkit-text-decoration: inherit;
      text-decoration: inherit;
    }
    b,
    strong {
      font-weight: bolder;
    }
    code,
    kbd,
    samp,
    pre {
      font-family: var(
        --default-mono-font-family,
        ui-monospace,
        SFMono-Regular,
        Menlo,
        Monaco,
        Consolas,
        "Liberation Mono",
        "Courier New",
        monospace
      );
      font-feature-settings: var(
        --default-mono-font-feature-settings,
        normal
      );
      font-variation-settings: var(
        --default-mono-font-variation-settings,
        normal
      );
      font-size: 1em;
    }
    small {
      font-size: 80%;
    }
    sub,
    sup {
      font-size: 75%;
      line-height: 0;
      position: relative;
      vertical-align: baseline;
    }
    sub {
      bottom: -0.25em;
    }
    sup {
      top: -0.5em;
    }
    table {
      text-indent: 0;
      border-color: inherit;
      border-collapse: collapse;
    }
    :-moz-focusring {
      outline: auto;
    }
    progress {
      vertical-align: baseline;
    }
    summary {
      display: list-item;
    }
    ol,
    ul,
    menu {
      list-style: none;
    }
    img,
    svg,
    video,
    canvas,
    audio,
    iframe,
    embed,
    object {
      display: block;
      vertical-align: middle;
    }
    img,
    video {
      max-width: 100%;
      height: auto;
    }
    button,
    input,
    select,
    optgroup,
    textarea,
    ::file-selector-button {
      font: inherit;
      font-feature-settings: inherit;
      font-variation-settings: inherit;
      letter-spacing: inherit;
      color: inherit;
      border-radius: 0;
      background-color: transparent;
      opacity: 1;
    }
    :where(select:is([multiple], [size])) optgroup {
      font-weight: bolder;
    }
    :where(select:is([multiple], [size])) optgroup option {
      padding-inline-start: 20px;
    }
    ::file-selector-button {
      margin-inline-end: 4px;
    }
    ::placeholder {
      opacity: 1;
      color: color-mix(in oklab, currentColor 50%, transparent);
    }
    textarea {
      resize: vertical;
    }
    ::-webkit-search-decoration {
      -webkit-appearance: none;
    }
    ::-webkit-date-and-time-value {
      min-height: 1lh;
      text-align: inherit;
    }
    ::-webkit-datetime-edit {
      display: inline-flex;
    }
    ::-webkit-datetime-edit-fields-wrapper {
      padding: 0;
    }
    ::-webkit-datetime-edit,
    ::-webkit-datetime-edit-year-field,
    ::-webkit-datetime-edit-month-field,
    ::-webkit-datetime-edit-day-field,
    ::-webkit-datetime-edit-hour-field,
    ::-webkit-datetime-edit-minute-field,
    ::-webkit-datetime-edit-second-field,
    ::-webkit-datetime-edit-millisecond-field,
    ::-webkit-datetime-edit-meridiem-field {
      padding-block: 0;
    }
    :-moz-ui-invalid {
      box-shadow: none;
    }
    button,
    input:where([type="button"], [type="reset"], [type="submit"]),
    ::file-selector-button {
      appearance: button;
    }
    ::-webkit-inner-spin-button,
    ::-webkit-outer-spin-button {
      height: auto;
    }
    [hidden]:where(:not([hidden="until-found"])) {
      display: none !important;
    }
  }
  @layer utilities {
    .border-li {
      border-inline-start-width: 1px;
      border-inline-end-width: 1px;
    }
    .border-li-0 {
      border-inline-start-width: 0px;
      border-inline-end-width: 0px;
    }
    .border-li-2 {
      border-inline-start-width: 2px;
      border-inline-end-width: 2px;
    }
    .border-li-4 {
      border-inline-start-width: 4px;
      border-inline-end-width: 4px;
    }
    .border-li-8 {
      border-inline-start-width: 8px;
      border-inline-end-width: 8px;
    }
    .border-is {
      border-inline-start-width: 1px;
    }
    .border-is-0 {
      border-inline-start-width: 0px;
    }
    .border-is-2 {
      border-inline-start-width: 2px;
    }
    .border-is-4 {
      border-inline-start-width: 4px;
    }
    .border-is-8 {
      border-inline-start-width: 8px;
    }
    .border-ie {
      border-inline-end-width: 1px;
    }
    .border-ie-0 {
      border-inline-end-width: 0px;
    }
    .border-ie-2 {
      border-inline-end-width: 2px;
    }
    .border-ie-4 {
      border-inline-end-width: 4px;
    }
    .border-ie-8 {
      border-inline-end-width: 8px;
    }
    .border-lb {
      border-block-start-width: 1px;
      border-block-end-width: 1px;
    }
    .border-lb-0 {
      border-block-start-width: 0px;
      border-block-end-width: 0px;
    }
    .border-lb-2 {
      border-block-start-width: 2px;
      border-block-end-width: 2px;
    }
    .border-lb-4 {
      border-block-start-width: 4px;
      border-block-end-width: 4px;
    }
    .border-lb-8 {
      border-block-start-width: 8px;
      border-block-end-width: 8px;
    }
    .border-be {
      border-block-end-width: 1px;
    }
    .border-be-0 {
      border-block-end-width: 0px;
    }
    .border-be-2 {
      border-block-end-width: 2px;
    }
    .border-be-4 {
      border-block-end-width: 4px;
    }
    .border-be-8 {
      border-block-end-width: 8px;
    }
    .border-bs {
      border-block-start-width: 1px;
    }
    .border-bs-0 {
      border-block-start-width: 0px;
    }
    .border-bs-2 {
      border-block-start-width: 2px;
    }
    .border-bs-4 {
      border-block-start-width: 4px;
    }
    .border-bs-8 {
      border-block-start-width: 8px;
    }
  }
`;
